aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Rini <trini@konsulko.com>2023-09-01 12:17:22 -0400
committerTom Rini <trini@konsulko.com>2023-09-01 12:31:40 -0400
commit69c959144b3e11ff5fa3f6467da375e89f4d1fd6 (patch)
tree5f45d54cac4439febeb1593eb0c977b33e17a7b3
parentd2a6e91d615780e9941b0c6dc363fa1c2bf20c72 (diff)
downloadu-boot-TEST/add-sandbox64-to-azure.zip
u-boot-TEST/add-sandbox64-to-azure.tar.gz
u-boot-TEST/add-sandbox64-to-azure.tar.bz2
HACK: Drop most of AzureTEST/add-sandbox64-to-azure
Signed-off-by: Tom Rini <trini@konsulko.com>
-rw-r--r--.azure-pipelines.yml343
1 files changed, 0 insertions, 343 deletions
diff --git a/.azure-pipelines.yml b/.azure-pipelines.yml
index 25b9f54..8397895 100644
--- a/.azure-pipelines.yml
+++ b/.azure-pipelines.yml
@@ -12,238 +12,6 @@ variables:
stages:
- stage: testsuites
jobs:
- - job: tools_only_windows
- displayName: 'Ensure host tools build for Windows'
- pool:
- vmImage: $(windows_vm)
- steps:
- - powershell: |
- (New-Object Net.WebClient).DownloadFile("https://github.com/msys2/msys2-installer/releases/download/2021-06-04/msys2-base-x86_64-20210604.sfx.exe", "sfx.exe")
- displayName: 'Install MSYS2'
- - script: |
- sfx.exe -y -o%CD:~0,2%\
- %CD:~0,2%\msys64\usr\bin\bash -lc " "
- %CD:~0,2%\msys64\usr\bin\bash -lc "pacman --noconfirm -Syuu"
- %CD:~0,2%\msys64\usr\bin\bash -lc "pacman --noconfirm -Syuu"
- displayName: 'Update MSYS2'
- - script: |
- %CD:~0,2%\msys64\usr\bin\bash -lc "pacman --noconfirm --needed -Sy make gcc bison flex diffutils openssl-devel libgnutls-devel libutil-linux-devel"
- displayName: 'Install Toolchain'
- - script: |
- echo make tools-only_defconfig tools-only > build-tools.sh
- %CD:~0,2%\msys64\usr\bin\bash -lc "bash build-tools.sh"
- displayName: 'Build Host Tools'
- env:
- # Tell MSYS2 we need a POSIX emulation layer
- MSYSTEM: MSYS
- # Tell MSYS2 not to ‘cd’ our startup directory to HOME
- CHERE_INVOKING: yes
-
- - job: tools_only_macOS
- displayName: 'Ensure host tools build for macOS X'
- pool:
- vmImage: $(macos_vm)
- steps:
- - script: brew install make ossp-uuid
- displayName: Brew install dependencies
- - script: |
- gmake tools-only_config tools-only \
- HOSTCFLAGS="-I/usr/local/opt/openssl@1.1/include" \
- HOSTLDFLAGS="-L/usr/local/opt/openssl@1.1/lib" \
- -j$(sysctl -n hw.logicalcpu)
- displayName: 'Perform tools-only build'
-
- - job: check_for_new_CONFIG_symbols_outside_Kconfig
- displayName: 'Check for new CONFIG symbols outside Kconfig'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- # If grep succeeds and finds a match the test fails as we should
- # have no matches.
- - script: git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
- :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
- :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
-
- - job: cppcheck
- displayName: 'Static code analysis with cppcheck'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- - script: cppcheck -j$(nproc) --force --quiet --inline-suppr .
-
- - job: docs
- displayName: 'Build documentation'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- - script: |
- virtualenv -p /usr/bin/python3 /tmp/venvhtml
- . /tmp/venvhtml/bin/activate
- pip install -r doc/sphinx/requirements.txt
- make htmldocs KDOC_WERROR=1
- make infodocs
-
- - job: todo
- displayName: 'Search for TODO within source tree'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- - script: grep -r TODO .
- - script: grep -r FIXME .
- - script: grep -r HACK . | grep -v HACKKIT
-
- - job: sloccount
- displayName: 'Some statistics about the code base'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- - script: sloccount .
-
- - job: maintainers
- displayName: 'Ensure all configs have MAINTAINERS entries'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- - script: |
- ./tools/buildman/buildman --maintainer-check || exit 0
-
- - job: tools_only
- displayName: 'Ensure host tools build'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- - script: |
- make tools-only_config tools-only -j$(nproc)
-
- - job: envtools
- displayName: 'Ensure env tools build'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- - script: |
- make tools-only_config envtools -j$(nproc)
-
- - job: utils
- displayName: 'Run binman, buildman, dtoc, Kconfig and patman testsuites'
- pool:
- vmImage: $(ubuntu_vm)
- steps:
- - script: |
- cat << "EOF" > build.sh
- cd $(work_dir)
- git config --global user.name "Azure Pipelines"
- git config --global user.email bmeng.cn@gmail.com
- git config --global --add safe.directory $(work_dir)
- export USER=azure
- virtualenv -p /usr/bin/python3 /tmp/venv
- . /tmp/venv/bin/activate
- pip install -r test/py/requirements.txt
- pip install -r tools/buildman/requirements.txt
- export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
- export PYTHONPATH=${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt
- export PATH=${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}
- ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w --board tools-only
- set -ex
- ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test
- ./tools/buildman/buildman -t
- ./tools/dtoc/dtoc -t
- ./tools/patman/patman test
- make O=${UBOOT_TRAVIS_BUILD_DIR} testconfig
- EOF
- cat build.sh
- # We cannot use "container" like other jobs above, as buildman
- # seems to hang forever with pre-configured "container" environment
- docker run -v $PWD:$(work_dir) $(ci_runner_image) /bin/bash $(work_dir)/build.sh
-
- - job: nokia_rx51_test
- displayName: 'Run tests for Nokia RX-51 (aka N900)'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- - script: |
- mkdir nokia_rx51_tmp
- ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/
- ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/
- ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/
- ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/
- ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/
- ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/
- export PATH=/opt/gcc-13.2.0-nolibc/arm-linux-gnueabi/bin:$PATH
- test/nokia_rx51_test.sh
-
- - job: pylint
- displayName: Check for any pylint regressions
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- - script: |
- git config --global --add safe.directory $(work_dir)
- export USER=azure
- pip install -r test/py/requirements.txt
- pip install -r tools/buildman/requirements.txt
- pip install asteval pylint==2.12.2 pyopenssl
- export PATH=${PATH}:~/.local/bin
- echo "[MASTER]" >> .pylintrc
- echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
- export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
- ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w --board tools-only
- set -ex
- pylint --version
- export PYTHONPATH=${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt
- make pylint_err
-
- - job: check_for_pre_schema_tags
- displayName: 'Check for pre-schema driver model tags'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- # If grep succeeds and finds a match the test fails as we should
- # have no matches.
- - script: git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
-
- - job: check_packing_of_python_tools
- displayName: 'Check we can package the Python tools'
- pool:
- vmImage: $(ubuntu_vm)
- container:
- image: $(ci_runner_image)
- options: $(container_option)
- steps:
- - script: make pip
-
- job: create_test_py_wrapper_script
displayName: 'Create and stage a wrapper for test.py runs'
pool:
@@ -484,114 +252,3 @@ stages:
-e BUILD_ENV="${BUILD_ENV}" $(ci_runner_image) \
/bin/bash $(Pipeline.Workspace)/testsh/test.sh
retryCountOnTaskFailure: 2 # QEMU may be too slow, etc.
-
-- stage: world_build
- jobs:
- - job: build_the_world
- displayName: 'Build the World'
- pool:
- vmImage: $(ubuntu_vm)
- strategy:
- # Use almost the same target division in .travis.yml, only merged
- # 3 small build jobs (arc/microblaze/xtensa) into one.
- matrix:
- arc_nios2_m68k_microblaze_xtensa:
- BUILDMAN: "arc nios2 microblaze m68k xtensa"
- amlogic:
- BUILDMAN: "amlogic"
- arm11_arm7_arm920t_arm946es:
- BUILDMAN: "arm11 arm7 arm920t arm946es"
- arm926ejs:
- BUILDMAN: "arm926ejs -x freescale,siemens,at91,kirkwood,omap"
- at91_non_armv7:
- BUILDMAN: "at91 -x armv7"
- at91_non_arm926ejs:
- BUILDMAN: "at91 -x arm926ejs"
- boundary_engicam_toradex:
- BUILDMAN: "boundary engicam toradex"
- arm_bcm:
- BUILDMAN: "bcm -x mips"
- nxp_arm32:
- BUILDMAN: "freescale -x powerpc,m68k,aarch64,ls101,ls102,ls104,ls108,ls20,lx216"
- nxp_ls101x_ls108x:
- BUILDMAN: "freescale&ls101 freescale&ls108"
- nxp_ls102x:
- BUILDMAN: "freescale&ls102 -x keymile"
- nxp_ls104x:
- BUILDMAN: "freescale&ls104"
- nxp_ls20xx_lx216x:
- BUILDMAN: "freescale&ls20 freescale&lx216"
- imx6:
- BUILDMAN: "mx6 -x boundary,engicam,freescale,technexion,toradex"
- imx:
- BUILDMAN: "mx -x mx6,imx8,freescale,technexion,toradex"
- imx8_imx9:
- BUILDMAN: "imx8 imx9 -x engicam,technexion,toradex"
- keymiles_siemens_technexion:
- BUILDMAN: "keymile siemens technexion"
- keystone2_keystone3:
- BUILDMAN: "k2 k3 -x siemens,toradex"
- sandbox_asan:
- BUILDMAN: "sandbox"
- OVERRIDE: "-a ASAN"
- sandbox_clang_asan:
- BUILDMAN: "sandbox"
- OVERRIDE: "-O clang-16 -a ASAN"
- samsung_socfpga_renesas:
- BUILDMAN: "samsung socfpga renesas"
- sun4i_sun9i:
- BUILDMAN: "sun4i sun9i"
- sun5i_sun6i:
- BUILDMAN: "sun5i sun6i"
- sun7i:
- BUILDMAN: "sun7i"
- sun8i:
- BUILDMAN: "sun8i"
- sun50i:
- BUILDMAN: "sun50i"
- arm_catch_all:
- BUILDMAN: "arm -x arm11,arm7,arm9,aarch64,at91,bcm,freescale,kirkwood,mvebu,renesas,siemens,tegra,uniphier,mx,samsung,sunxi,am33xx,omap,toradex,socfpga,k2,k3,zynq"
- sandbox_x86:
- BUILDMAN: "sandbox x86"
- kirkwood_mvebu_uniphier:
- BUILDMAN: "kirkwood mvebu uniphier"
- mips:
- BUILDMAN: "mips"
- powerpc:
- BUILDMAN: "powerpc -x keymile"
- tegra:
- BUILDMAN: "tegra -x toradex"
- am33xx_omap:
- BUILDMAN: "am33xx omap -x siemens"
- aarch64_catch_all:
- BUILDMAN: "aarch64 -x amlogic,bcm,imx8,imx9,k3,tegra,ls1,ls2,lx216,mvebu,uniphier,renesas,sunxi,samsung,socfpga,rk,versal,zynq"
- rk_non_rockchip_64bit:
- BUILDMAN: "rk&aarch64 -x rockchip"
- rk_rockchip_64bit:
- BUILDMAN: "rk&aarch64&rockchip"
- zynq_zynqmp_versal:
- BUILDMAN: "zynq&armv7 versal zynqmp&aarch64"
- riscv:
- BUILDMAN: "riscv"
- steps:
- - script: |
- cat << EOF > build.sh
- set -ex
- cd ${WORK_DIR}
- # make environment variables available as tests are running inside a container
- export BUILDMAN="${BUILDMAN}"
- git config --global --add safe.directory ${WORK_DIR}
- pip install -r tools/buildman/requirements.txt
- EOF
- cat << "EOF" >> build.sh
- if [[ "${BUILDMAN}" != "" ]]; then
- ret=0;
- tools/buildman/buildman -o /tmp -PEWM ${BUILDMAN} ${OVERRIDE} || ret=$?;
- if [[ $ret -ne 0 ]]; then
- tools/buildman/buildman -o /tmp -seP ${BUILDMAN};
- exit $ret;
- fi;
- fi
- EOF
- cat build.sh
- docker run -v $PWD:$(work_dir) $(ci_runner_image) /bin/bash $(work_dir)/build.sh